package com.nantian.cloud.dbcapp.carbon.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.nantian.cloud.dbcapp.carbon.domain.ent.InstrumentEquipment;

import java.util.List;

public interface InstrumentEquipmentService extends IService<InstrumentEquipment> {

    /**
     * 根据categoryCode判断是否存在
     * @param
     * @return
     */
    InstrumentEquipment findByCategoryCode(Long categoryCode,String entCode);

    List<InstrumentEquipment> selectByEntId(String entId);

    int deleteByInsId(String id, String entId);

    int updateByInsId(InstrumentEquipment entity);

    IPage<InstrumentEquipment> getList(Page page, String entCode);

    String getEntId(String entCode);

}
